rem   *** validation ***
call scripts\run-validator-tests.bat
call scripts\run-checker-tests.bat

rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\gen_hack_makmed.exe -n 100 -m 100 -S1 88 -S2 99" "tests\03" 3
call scripts\gen-input-via-stdout.bat "files\gen_hack_makmed.exe -n 100 -m 100 -S1 -1 -S2 -1" "tests\04" 4
call scripts\gen-input-via-stdout.bat "files\gen.exe -n 20 -m 20 -S1 -1 -S2 -1" "tests\05" 5
call scripts\gen-input-via-stdout.bat "files\gen.exe -n 20 -m 20 -S1 1 -S2 2" "tests\06" 6
call scripts\gen-input-via-stdout.bat "files\gen.exe -n 50 -m 50 -S1 -1 -S2 -1" "tests\07" 7
call scripts\gen-input-via-stdout.bat "files\gen.exe -n 50 -m 50 -S1 3 -S2 49" "tests\08" 8
call scripts\gen-input-via-stdout.bat "files\gen.exe -n 100 -m 100 -S1 -1 -S2 -1" "tests\09" 9
call scripts\gen-input-via-stdout.bat "files\gen.exe -n 100 -m 100 -S1 10 -S2 99" "tests\10" 10
call scripts\gen-input-via-stdout.bat "files\gen.exe -n 99 -m 99 -S1 -1 -S2 -1" "tests\11" 11
call scripts\gen-input-via-stdout.bat "files\gen.exe -n 100 -m 100 -S1 82 -S2 2" "tests\12" 12
call scripts\gen-input-via-stdout.bat "files\gen_hack_makmed.exe -n 3000 -m 3000 -S1 889 -S2 998" "tests\13" 13
call scripts\gen-input-via-stdout.bat "files\gen_hack_makmed.exe -n 3000 -m 3000 -S1 120 -S2 501" "tests\14" 14
call scripts\gen-input-via-stdout.bat "files\gen_hack_makmed.exe -n 2999 -m 3000 -S1 -1 -S2 -1" "tests\15" 15
call scripts\gen-input-via-stdout.bat "files\gen_hack_makmed.exe -n 3000 -m 3000 -S1 -1 -S2 -1" "tests\16" 16
call scripts\gen-input-via-stdout.bat "files\gen.exe -n 1000 -m 1000 -S1 -1 -S2 -1" "tests\17" 17
call scripts\gen-input-via-stdout.bat "files\gen.exe -n 1000 -m 1000 -S1 33 -S2 232" "tests\18" 18
call scripts\gen-input-via-stdout.bat "files\gen.exe -n 2000 -m 2000 -S1 -1 -S2 -1" "tests\19" 19
call scripts\gen-input-via-stdout.bat "files\gen.exe -n 2000 -m 2000 -S1 1 -S2 999" "tests\20" 20
call scripts\gen-input-via-stdout.bat "files\gen.exe -n 3000 -m 3000 -S1 -1 -S2 -1" "tests\21" 21
call scripts\gen-input-via-stdout.bat "files\gen.exe -n 3000 -m 3000 -S1 3 -S2 4" "tests\22" 22
call scripts\gen-input-via-stdout.bat "files\gen.exe -n 3000 -m 2999 -S1 -1 -S2 -1" "tests\23" 23
call scripts\gen-input-via-stdout.bat "files\gen.exe -n 3000 -m 3000 -S1 100 -S2 999" "tests\24" 24
call scripts\gen-answer.bat tests\01 tests\01.a "tests" "0"
call scripts\gen-answer.bat tests\02 tests\02.a "tests" "0"
call scripts\gen-answer.bat tests\03 tests\03.a "tests" "1"
call scripts\gen-answer.bat tests\04 tests\04.a "tests" "1"
call scripts\gen-answer.bat tests\05 tests\05.a "tests" "1"
call scripts\gen-answer.bat tests\06 tests\06.a "tests" "1"
call scripts\gen-answer.bat tests\07 tests\07.a "tests" "1"
call scripts\gen-answer.bat tests\08 tests\08.a "tests" "1"
call scripts\gen-answer.bat tests\09 tests\09.a "tests" "1"
call scripts\gen-answer.bat tests\10 tests\10.a "tests" "1"
call scripts\gen-answer.bat tests\11 tests\11.a "tests" "1"
call scripts\gen-answer.bat tests\12 tests\12.a "tests" "1"
call scripts\gen-answer.bat tests\13 tests\13.a "tests" "2"
call scripts\gen-answer.bat tests\14 tests\14.a "tests" "2"
call scripts\gen-answer.bat tests\15 tests\15.a "tests" "2"
call scripts\gen-answer.bat tests\16 tests\16.a "tests" "2"
call scripts\gen-answer.bat tests\17 tests\17.a "tests" "2"
call scripts\gen-answer.bat tests\18 tests\18.a "tests" "2"
call scripts\gen-answer.bat tests\19 tests\19.a "tests" "2"
call scripts\gen-answer.bat tests\20 tests\20.a "tests" "2"
call scripts\gen-answer.bat tests\21 tests\21.a "tests" "2"
call scripts\gen-answer.bat tests\22 tests\22.a "tests" "2"
call scripts\gen-answer.bat tests\23 tests\23.a "tests" "2"
call scripts\gen-answer.bat tests\24 tests\24.a "tests" "2"

